Index: src/builder.cpp
===================================================================
--- src/builder.cpp	(revision 8c54a3b5f6bdf770309a91dff75fb62f47d91b6d)
+++ src/builder.cpp	(revision 0dbddc24a89f547aa564634e7647f87ec8ce9700)
@@ -15,33 +15,33 @@
  * \section about About the Program
  *
- *	Molecuilder is a short program, written in C++, that enables the construction of a coordinate set for the
- *	atoms making up an molecule by the successive statement of binding angles and distances and referencing to
- *	already constructed atoms.
+ *  Molecuilder is a short program, written in C++, that enables the construction of a coordinate set for the
+ *  atoms making up an molecule by the successive statement of binding angles and distances and referencing to
+ *  already constructed atoms.
  *
- *	A configuration file may be written that is compatible to the format used by PCP - a parallel Car-Parrinello
- *	molecular dynamics implementation.
+ *  A configuration file may be written that is compatible to the format used by PCP - a parallel Car-Parrinello
+ *  molecular dynamics implementation.
  *
  * \section install Installation
  *
- *	Installation should without problems succeed as follows:
- *	-# ./configure (or: mkdir build;mkdir run;cd build; ../configure --bindir=../run)
- *	-# make
- *	-# make install
+ *  Installation should without problems succeed as follows:
+ *  -# ./configure (or: mkdir build;mkdir run;cd build; ../configure --bindir=../run)
+ *  -# make
+ *  -# make install
  *
- *	Further useful commands are
- *	-# make clean uninstall: deletes .o-files and removes executable from the given binary directory\n
- *	-# make doxygen-doc: Creates these html pages out of the documented source
+ *  Further useful commands are
+ *  -# make clean uninstall: deletes .o-files and removes executable from the given binary directory\n
+ *  -# make doxygen-doc: Creates these html pages out of the documented source
  *
  * \section run Running
  *
- *	The program can be executed by running: ./molecuilder
+ *  The program can be executed by running: ./molecuilder
  *
- *	Note, that it uses a database, called "elements.db", in the executable's directory. If the file is not found,
- *	it is created and any given data on elements of the periodic table will be stored therein and re-used on
- *	later re-execution.
+ *  Note, that it uses a database, called "elements.db", in the executable's directory. If the file is not found,
+ *  it is created and any given data on elements of the periodic table will be stored therein and re-used on
+ *  later re-execution.
  *
  * \section ref References
  *
- *	For the special configuration file format, see the documentation of pcp.
+ *  For the special configuration file format, see the documentation of pcp.
  *
  */
@@ -54,5 +54,4 @@
 #include "helpers.hpp"
 #include "molecules.hpp"
-
 /********************************************* Subsubmenu routine ************************************/
 
@@ -63,36 +62,36 @@
 static void AddAtoms(periodentafel *periode, molecule *mol)
 {
-	atom *first, *second, *third, *fourth;
-	Vector **atoms;
-	Vector x,y,z,n;	// coordinates for absolute point in cell volume
-	double a,b,c;
-	char choice;	// menu choice char
-	bool valid;
-
-	cout << Verbose(0) << "===========ADD ATOM============================" << endl;
-	cout << Verbose(0) << " a - state absolute coordinates of atom" << endl;
-	cout << Verbose(0) << " b - state relative coordinates of atom wrt to reference point" << endl;
-	cout << Verbose(0) << " c - state relative coordinates of atom wrt to already placed atom" << endl;
-	cout << Verbose(0) << " d - state two atoms, two angles and a distance" << endl;
-	cout << Verbose(0) << " e - least square distance position to a set of atoms" << endl;
-	cout << Verbose(0) << "all else - go back" << endl;
-	cout << Verbose(0) << "===============================================" << endl;
-	cout << Verbose(0) << "Note: Specifiy angles in degrees not multiples of Pi!" << endl;
-	cout << Verbose(0) << "INPUT: ";
-	cin >> choice;
-
-	switch (choice) {
+  atom *first, *second, *third, *fourth;
+  Vector **atoms;
+  Vector x,y,z,n;  // coordinates for absolute point in cell volume
+  double a,b,c;
+  char choice;  // menu choice char
+  bool valid;
+
+  cout << Verbose(0) << "===========ADD ATOM============================" << endl;
+  cout << Verbose(0) << " a - state absolute coordinates of atom" << endl;
+  cout << Verbose(0) << " b - state relative coordinates of atom wrt to reference point" << endl;
+  cout << Verbose(0) << " c - state relative coordinates of atom wrt to already placed atom" << endl;
+  cout << Verbose(0) << " d - state two atoms, two angles and a distance" << endl;
+  cout << Verbose(0) << " e - least square distance position to a set of atoms" << endl;
+  cout << Verbose(0) << "all else - go back" << endl;
+  cout << Verbose(0) << "===============================================" << endl;
+  cout << Verbose(0) << "Note: Specifiy angles in degrees not multiples of Pi!" << endl;
+  cout << Verbose(0) << "INPUT: ";
+  cin >> choice;
+
+  switch (choice) {
     default:
       cout << Verbose(0) << "Not a valid choice." << endl;
       break;
-			case 'a': // absolute coordinates of atom
+      case 'a': // absolute coordinates of atom
         cout << Verbose(0) << "Enter absolute coordinates." << endl;
         first = new atom;
         first->x.AskPosition(mol->cell_size, false);
-        first->type = periode->AskElement();	// give type
-        mol->AddAtom(first);	// add to molecule
-				break;
-
-			case 'b': // relative coordinates of atom wrt to reference point
+        first->type = periode->AskElement();  // give type
+        mol->AddAtom(first);  // add to molecule
+        break;
+
+      case 'b': // relative coordinates of atom wrt to reference point
         first = new atom;
         valid = true;
@@ -106,9 +105,9 @@
           cout << Verbose(0) << "\n";
         } while (!(valid = mol->CheckBounds((const Vector *)&first->x)));
-        first->type = periode->AskElement();	// give type
-        mol->AddAtom(first);	// add to molecule
-				break;
-
-			case 'c': // relative coordinates of atom wrt to already placed atom
+        first->type = periode->AskElement();  // give type
+        mol->AddAtom(first);  // add to molecule
+        break;
+
+      case 'c': // relative coordinates of atom wrt to already placed atom
         first = new atom;
         valid = true;
@@ -122,6 +121,6 @@
           }
         } while (!(valid = mol->CheckBounds((const Vector *)&first->x)));
-        first->type = periode->AskElement();	// give type
-        mol->AddAtom(first);	// add to molecule
+        first->type = periode->AskElement();  // give type
+        mol->AddAtom(first);  // add to molecule
         break;
 
@@ -224,9 +223,9 @@
           cout << Verbose(0) << endl;
         } while (!(valid = mol->CheckBounds((const Vector *)&first->x)));
-        first->type = periode->AskElement();	// give type
-        mol->AddAtom(first);	// add to molecule
-				break;
-
-			case 'e': // least square distance position to a set of atoms
+        first->type = periode->AskElement();  // give type
+        mol->AddAtom(first);  // add to molecule
+        break;
+
+      case 'e': // least square distance position to a set of atoms
         first = new atom;
         atoms = new (Vector*[128]);
@@ -248,12 +247,12 @@
 
           first->x.Output((ofstream *)&cout);
-          first->type = periode->AskElement();	// give type
-          mol->AddAtom(first);	// add to molecule
+          first->type = periode->AskElement();  // give type
+          mol->AddAtom(first);  // add to molecule
         } else {
           delete first;
           cout << Verbose(0) << "Please enter at least two vectors!\n";
         }
-				break;
-	};
+        break;
+  };
 };
 
@@ -263,54 +262,54 @@
 static void CenterAtoms(molecule *mol)
 {
-	Vector x, y, helper;
-	char choice;	// menu choice char
-
-	cout << Verbose(0) << "===========CENTER ATOMS=========================" << endl;
-	cout << Verbose(0) << " a - on origin" << endl;
-	cout << Verbose(0) << " b - on center of gravity" << endl;
-	cout << Verbose(0) << " c - within box with additional boundary" << endl;
-	cout << Verbose(0) << " d - within given simulation box" << endl;
-	cout << Verbose(0) << "all else - go back" << endl;
-	cout << Verbose(0) << "===============================================" << endl;
-	cout << Verbose(0) << "INPUT: ";
-	cin >> choice;
-
-	switch (choice) {
-		default:
-			cout << Verbose(0) << "Not a valid choice." << endl;
-			break;
-		case 'a':
-			cout << Verbose(0) << "Centering atoms in config file on origin." << endl;
-			mol->CenterOrigin((ofstream *)&cout, &x);
-			break;
-		case 'b':
-			cout << Verbose(0) << "Centering atoms in config file on center of gravity." << endl;
-			mol->CenterGravity((ofstream *)&cout, &x);
-			break;
-		case 'c':
-			cout << Verbose(0) << "Centering atoms in config file within given additional boundary." << endl;
-			for (int i=0;i<NDIM;i++) {
-				cout << Verbose(0) << "Enter axis " << i << " boundary: ";
-				cin >> y.x[i];
-			}
-			mol->CenterEdge((ofstream *)&cout, &x);	// make every coordinate positive
-			mol->Translate(&y); // translate by boundary
-			helper.CopyVector(&y);
-			helper.Scale(2.);
-			helper.AddVector(&x);
-			mol->SetBoxDimension(&helper);	// update Box of atoms by boundary
-			break;
-		case 'd':
-			cout << Verbose(1) << "Centering atoms in config file within given simulation box." << endl;
-			for (int i=0;i<NDIM;i++) {
-				cout << Verbose(0) << "Enter axis " << i << " boundary: ";
-				cin >> x.x[i];
-			}
-			// center
-			mol->CenterInBox((ofstream *)&cout, &x);
-			// update Box of atoms by boundary
-			mol->SetBoxDimension(&x);
-			break;
-	}
+  Vector x, y, helper;
+  char choice;  // menu choice char
+
+  cout << Verbose(0) << "===========CENTER ATOMS=========================" << endl;
+  cout << Verbose(0) << " a - on origin" << endl;
+  cout << Verbose(0) << " b - on center of gravity" << endl;
+  cout << Verbose(0) << " c - within box with additional boundary" << endl;
+  cout << Verbose(0) << " d - within given simulation box" << endl;
+  cout << Verbose(0) << "all else - go back" << endl;
+  cout << Verbose(0) << "===============================================" << endl;
+  cout << Verbose(0) << "INPUT: ";
+  cin >> choice;
+
+  switch (choice) {
+    default:
+      cout << Verbose(0) << "Not a valid choice." << endl;
+      break;
+    case 'a':
+      cout << Verbose(0) << "Centering atoms in config file on origin." << endl;
+      mol->CenterOrigin((ofstream *)&cout);
+      break;
+    case 'b':
+      cout << Verbose(0) << "Centering atoms in config file on center of gravity." << endl;
+      mol->CenterPeriodic((ofstream *)&cout);
+      break;
+    case 'c':
+      cout << Verbose(0) << "Centering atoms in config file within given additional boundary." << endl;
+      for (int i=0;i<NDIM;i++) {
+        cout << Verbose(0) << "Enter axis " << i << " boundary: ";
+        cin >> y.x[i];
+      }
+      mol->CenterEdge((ofstream *)&cout, &x);  // make every coordinate positive
+      mol->Center.AddVector(&y); // translate by boundary
+      helper.CopyVector(&y);
+      helper.Scale(2.);
+      helper.AddVector(&x);
+      mol->SetBoxDimension(&helper);  // update Box of atoms by boundary
+      break;
+    case 'd':
+      cout << Verbose(1) << "Centering atoms in config file within given simulation box." << endl;
+      for (int i=0;i<NDIM;i++) {
+        cout << Verbose(0) << "Enter axis " << i << " boundary: ";
+        cin >> x.x[i];
+      }
+      // update Box of atoms by boundary
+      mol->SetBoxDimension(&x);
+      // center
+      mol->CenterInBox((ofstream *)&cout);
+      break;
+  }
 };
 
@@ -321,65 +320,65 @@
 static void AlignAtoms(periodentafel *periode, molecule *mol)
 {
-	atom *first, *second, *third;
-	Vector x,n;
-	char choice;	// menu choice char
-
-	cout << Verbose(0) << "===========ALIGN ATOMS=========================" << endl;
-	cout << Verbose(0) << " a - state three atoms defining align plane" << endl;
-	cout << Verbose(0) << " b - state alignment vector" << endl;
-	cout << Verbose(0) << " c - state two atoms in alignment direction" << endl;
-	cout << Verbose(0) << " d - align automatically by least square fit" << endl;
-	cout << Verbose(0) << "all else - go back" << endl;
-	cout << Verbose(0) << "===============================================" << endl;
-	cout << Verbose(0) << "INPUT: ";
-	cin >> choice;
-
-	switch (choice) {
-		default:
-		case 'a': // three atoms defining mirror plane
-			first = mol->AskAtom("Enter first atom: ");
-			second = mol->AskAtom("Enter second atom: ");
-			third = mol->AskAtom("Enter third atom: ");
-
-			n.MakeNormalVector((const Vector *)&first->x,(const Vector *)&second->x,(const Vector *)&third->x);
-			break;
-		case 'b': // normal vector of mirror plane
-			cout << Verbose(0) << "Enter normal vector of mirror plane." << endl;
-			n.AskPosition(mol->cell_size,0);
-			n.Normalize();
-			break;
-		case 'c': // three atoms defining mirror plane
-			first = mol->AskAtom("Enter first atom: ");
-			second = mol->AskAtom("Enter second atom: ");
-
-			n.CopyVector((const Vector *)&first->x);
-			n.SubtractVector((const Vector *)&second->x);
-			n.Normalize();
-			break;
-		case 'd':
-			char shorthand[4];
-			Vector a;
-			struct lsq_params param;
-			do {
-				fprintf(stdout, "Enter the element of atoms to be chosen: ");
-				fscanf(stdin, "%3s", shorthand);
-			} while ((param.type = periode->FindElement(shorthand)) == NULL);
-			cout << Verbose(0) << "Element is " << param.type->name << endl;
-			mol->GetAlignvector(&param);
-			for (int i=NDIM;i--;) {
-				x.x[i] = gsl_vector_get(param.x,i);
-				n.x[i] = gsl_vector_get(param.x,i+NDIM);
-			}
-			gsl_vector_free(param.x);
-			cout << Verbose(0) << "Offset vector: ";
-			x.Output((ofstream *)&cout);
-			cout << Verbose(0) << endl;
-			n.Normalize();
-			break;
-	};
-	cout << Verbose(0) << "Alignment vector: ";
-	n.Output((ofstream *)&cout);
-	cout << Verbose(0) << endl;
-	mol->Align(&n);
+  atom *first, *second, *third;
+  Vector x,n;
+  char choice;  // menu choice char
+
+  cout << Verbose(0) << "===========ALIGN ATOMS=========================" << endl;
+  cout << Verbose(0) << " a - state three atoms defining align plane" << endl;
+  cout << Verbose(0) << " b - state alignment vector" << endl;
+  cout << Verbose(0) << " c - state two atoms in alignment direction" << endl;
+  cout << Verbose(0) << " d - align automatically by least square fit" << endl;
+  cout << Verbose(0) << "all else - go back" << endl;
+  cout << Verbose(0) << "===============================================" << endl;
+  cout << Verbose(0) << "INPUT: ";
+  cin >> choice;
+
+  switch (choice) {
+    default:
+    case 'a': // three atoms defining mirror plane
+      first = mol->AskAtom("Enter first atom: ");
+      second = mol->AskAtom("Enter second atom: ");
+      third = mol->AskAtom("Enter third atom: ");
+
+      n.MakeNormalVector((const Vector *)&first->x,(const Vector *)&second->x,(const Vector *)&third->x);
+      break;
+    case 'b': // normal vector of mirror plane
+      cout << Verbose(0) << "Enter normal vector of mirror plane." << endl;
+      n.AskPosition(mol->cell_size,0);
+      n.Normalize();
+      break;
+    case 'c': // three atoms defining mirror plane
+      first = mol->AskAtom("Enter first atom: ");
+      second = mol->AskAtom("Enter second atom: ");
+
+      n.CopyVector((const Vector *)&first->x);
+      n.SubtractVector((const Vector *)&second->x);
+      n.Normalize();
+      break;
+    case 'd':
+      char shorthand[4];
+      Vector a;
+      struct lsq_params param;
+      do {
+        fprintf(stdout, "Enter the element of atoms to be chosen: ");
+        fscanf(stdin, "%3s", shorthand);
+      } while ((param.type = periode->FindElement(shorthand)) == NULL);
+      cout << Verbose(0) << "Element is " << param.type->name << endl;
+      mol->GetAlignvector(&param);
+      for (int i=NDIM;i--;) {
+        x.x[i] = gsl_vector_get(param.x,i);
+        n.x[i] = gsl_vector_get(param.x,i+NDIM);
+      }
+      gsl_vector_free(param.x);
+      cout << Verbose(0) << "Offset vector: ";
+      x.Output((ofstream *)&cout);
+      cout << Verbose(0) << endl;
+      n.Normalize();
+      break;
+  };
+  cout << Verbose(0) << "Alignment vector: ";
+  n.Output((ofstream *)&cout);
+  cout << Verbose(0) << endl;
+  mol->Align(&n);
 };
 
@@ -389,44 +388,44 @@
 static void MirrorAtoms(molecule *mol)
 {
-	atom *first, *second, *third;
-	Vector n;
-	char choice;	// menu choice char
-
-	cout << Verbose(0) << "===========MIRROR ATOMS=========================" << endl;
-	cout << Verbose(0) << " a - state three atoms defining mirror plane" << endl;
-	cout << Verbose(0) << " b - state normal vector of mirror plane" << endl;
-	cout << Verbose(0) << " c - state two atoms in normal direction" << endl;
-	cout << Verbose(0) << "all else - go back" << endl;
-	cout << Verbose(0) << "===============================================" << endl;
-	cout << Verbose(0) << "INPUT: ";
-	cin >> choice;
-
-	switch (choice) {
-		default:
-		case 'a': // three atoms defining mirror plane
-			first = mol->AskAtom("Enter first atom: ");
-			second = mol->AskAtom("Enter second atom: ");
-			third = mol->AskAtom("Enter third atom: ");
-
-			n.MakeNormalVector((const Vector *)&first->x,(const Vector *)&second->x,(const Vector *)&third->x);
-			break;
-		case 'b': // normal vector of mirror plane
-			cout << Verbose(0) << "Enter normal vector of mirror plane." << endl;
-			n.AskPosition(mol->cell_size,0);
-			n.Normalize();
-			break;
-		case 'c': // three atoms defining mirror plane
-			first = mol->AskAtom("Enter first atom: ");
-			second = mol->AskAtom("Enter second atom: ");
-
-			n.CopyVector((const Vector *)&first->x);
-			n.SubtractVector((const Vector *)&second->x);
-			n.Normalize();
-			break;
-	};
-	cout << Verbose(0) << "Normal vector: ";
-	n.Output((ofstream *)&cout);
-	cout << Verbose(0) << endl;
-	mol->Mirror((const Vector *)&n);
+  atom *first, *second, *third;
+  Vector n;
+  char choice;  // menu choice char
+
+  cout << Verbose(0) << "===========MIRROR ATOMS=========================" << endl;
+  cout << Verbose(0) << " a - state three atoms defining mirror plane" << endl;
+  cout << Verbose(0) << " b - state normal vector of mirror plane" << endl;
+  cout << Verbose(0) << " c - state two atoms in normal direction" << endl;
+  cout << Verbose(0) << "all else - go back" << endl;
+  cout << Verbose(0) << "===============================================" << endl;
+  cout << Verbose(0) << "INPUT: ";
+  cin >> choice;
+
+  switch (choice) {
+    default:
+    case 'a': // three atoms defining mirror plane
+      first = mol->AskAtom("Enter first atom: ");
+      second = mol->AskAtom("Enter second atom: ");
+      third = mol->AskAtom("Enter third atom: ");
+
+      n.MakeNormalVector((const Vector *)&first->x,(const Vector *)&second->x,(const Vector *)&third->x);
+      break;
+    case 'b': // normal vector of mirror plane
+      cout << Verbose(0) << "Enter normal vector of mirror plane." << endl;
+      n.AskPosition(mol->cell_size,0);
+      n.Normalize();
+      break;
+    case 'c': // three atoms defining mirror plane
+      first = mol->AskAtom("Enter first atom: ");
+      second = mol->AskAtom("Enter second atom: ");
+
+      n.CopyVector((const Vector *)&first->x);
+      n.SubtractVector((const Vector *)&second->x);
+      n.Normalize();
+      break;
+  };
+  cout << Verbose(0) << "Normal vector: ";
+  n.Output((ofstream *)&cout);
+  cout << Verbose(0) << endl;
+  mol->Mirror((const Vector *)&n);
 };
 
@@ -436,54 +435,60 @@
 static void RemoveAtoms(molecule *mol)
 {
-	atom *first, *second;
-	int axis;
-	double tmp1, tmp2;
-	char choice;	// menu choice char
-
-	cout << Verbose(0) << "===========REMOVE ATOMS=========================" << endl;
-	cout << Verbose(0) << " a - state atom for removal by number" << endl;
-	cout << Verbose(0) << " b - keep only in radius around atom" << endl;
-	cout << Verbose(0) << " c - remove this with one axis greater value" << endl;
-	cout << Verbose(0) << "all else - go back" << endl;
-	cout << Verbose(0) << "===============================================" << endl;
-	cout << Verbose(0) << "INPUT: ";
-	cin >> choice;
-
-	switch (choice) {
-		default:
-		case 'a':
-			if (mol->RemoveAtom(mol->AskAtom("Enter number of atom within molecule: ")))
-				cout << Verbose(1) << "Atom removed." << endl;
-			else
-				cout << Verbose(1) << "Atom not found." << endl;
-			break;
-		case 'b':
-			second = mol->AskAtom("Enter number of atom as reference point: ");
-			cout << Verbose(0) << "Enter radius: ";
-			cin >> tmp1;
-			first = mol->start;
-			while(first->next != mol->end) {
-				first = first->next;
-				if (first->x.DistanceSquared((const Vector *)&second->x) > tmp1*tmp1) // distance to first above radius ...
-					mol->RemoveAtom(first);
-			}
-			break;
-		case 'c':
-			cout << Verbose(0) << "Which axis is it: ";
-			cin >> axis;
-			cout << Verbose(0) << "Left inward boundary: ";
-			cin >> tmp1;
-			cout << Verbose(0) << "Right inward boundary: ";
-			cin >> tmp2;
-			first = mol->start;
-			while(first->next != mol->end) {
-				first = first->next;
-				if ((first->x.x[axis] > tmp2) || (first->x.x[axis] < tmp1)) // out of boundary ...
-					mol->RemoveAtom(first);
-			}
-			break;
-	};
-	//mol->Output((ofstream *)&cout);
-	choice = 'r';
+  atom *first, *second;
+  int axis;
+  double tmp1, tmp2;
+  char choice;  // menu choice char
+
+  cout << Verbose(0) << "===========REMOVE ATOMS=========================" << endl;
+  cout << Verbose(0) << " a - state atom for removal by number" << endl;
+  cout << Verbose(0) << " b - keep only in radius around atom" << endl;
+  cout << Verbose(0) << " c - remove this with one axis greater value" << endl;
+  cout << Verbose(0) << "all else - go back" << endl;
+  cout << Verbose(0) << "===============================================" << endl;
+  cout << Verbose(0) << "INPUT: ";
+  cin >> choice;
+
+  switch (choice) {
+    default:
+    case 'a':
+      if (mol->RemoveAtom(mol->AskAtom("Enter number of atom within molecule: ")))
+        cout << Verbose(1) << "Atom removed." << endl;
+      else
+        cout << Verbose(1) << "Atom not found." << endl;
+      break;
+    case 'b':
+      second = mol->AskAtom("Enter number of atom as reference point: ");
+      cout << Verbose(0) << "Enter radius: ";
+      cin >> tmp1;
+      first = mol->start;
+      second = first->next;
+      while(second != mol->end) {
+        first = second;
+        second = first->next;
+        if (first->x.DistanceSquared((const Vector *)&second->x) > tmp1*tmp1) // distance to first above radius ...
+          mol->RemoveAtom(first);
+      }
+      break;
+    case 'c':
+      cout << Verbose(0) << "Which axis is it: ";
+      cin >> axis;
+      cout << Verbose(0) << "Lower boundary: ";
+      cin >> tmp1;
+      cout << Verbose(0) << "Upper boundary: ";
+      cin >> tmp2;
+      first = mol->start;
+      second = first->next;
+      while(second != mol->end) {
+        first = second;
+        second = first->next;
+        if ((first->x.x[axis] < tmp1) || (first->x.x[axis] > tmp2)) {// out of boundary ...
+          //cout << "Atom " << *first << " with " << first->x.x[axis] << " on axis " << axis << " is out of bounds [" << tmp1 << "," << tmp2 << "]." << endl;
+          mol->RemoveAtom(first);
+        }
+      }
+      break;
+  };
+  //mol->Output((ofstream *)&cout);
+  choice = 'r';
 };
 
